Ubuntu logo is not redistributable

Bug #451263 reported by Martin Pitt on 2009-10-14
30
This bug affects 2 people
Affects Status Importance Assigned to Milestone
ubiquity-slideshow-ubuntu (Ubuntu)
Critical
Evan
Karmic
Critical
Evan
ubuntu-artwork (Ubuntu)
Critical
Martin Pitt
Karmic
Critical
Martin Pitt
usplash-theme-ubuntu (Ubuntu)
Critical
Martin Pitt
Karmic
Critical
Martin Pitt
xsplash (Ubuntu)
Critical
Martin Pitt
Karmic
Critical
Martin Pitt

Bug Description

Binary package hint: ubuntu-artwork

Since karmic, the copyright file says:

-------------- 8< ----------------------

Unless otherwise indicated, artwork is available under the Creative Commons
Attribution Share-alike license v3.0 or any later version. To view a copy of
this license, visit http://creativecommons.org/licenses/by-sa/3.0/ or send a
letter to Creative Commons, 171 Second Street, Suite 300, San Francisco,
California, 94105, USA.

See below for the full text.

The rights in the trademarks, logos, service marks of Canonical Ltd,
as well as the look and feel of Ubuntu, are not licensed under the
Creative Commons license and are subject to the Canonical Trademark
Policy at http://www.ubuntu.com/ubuntu/TrademarkPolicy
-------------- 8< ----------------------

The second paragraph points out that the logo is not distributed under CC-BY-SA, but does not give any license for it.

The link to the TM policy does not help, because

 (1) The TM policy does not specify a distribution license (and shouldn't really)

 (2) If (1) was not the case, it is not included verbatim, so the conditions could be changed after a product release

 (3) even if interpreting the TM policy very liberally (and incompatibly with both legal and mathematical logic) and inferring that prohibiting commercial usage implies that non-commercial usage is allowed, this renders Ubuntu uninstallable in commercial environments.

http://www.ubuntu.com/community/ubuntustory/licensing makes some concessions that things like artwork and logos do not need to be free software. However, it does require that "these works do not restrict our ability to make Ubuntu available free of charge, and that Ubuntu remains re-distributable by you", which is clearly violated here.

In Jaunty and earlier, artwork and logos were distributed under CC-BY-SA.

These packages currently have above copyright text in Karmic:

human-theme
notify-osd-icons
notify-osd-icons
ubuntu-artwork
ubuntu-wallpapers
ubuntu-xsplash-artwork
usplash-theme-ubuntu

However, only ubuntu-artwork and usplash-theme-ubuntu actually contain logos and are affected by the second paragraph.

Martin Pitt (pitti) wrote :

This is currently being discussed.

Changed in ubuntu-artwork (Ubuntu Karmic):
importance: Undecided → Critical
milestone: none → ubuntu-9.10
status: New → Triaged
Changed in usplash-theme-ubuntu (Ubuntu Karmic):
importance: Undecided → Critical
milestone: none → ubuntu-9.10
status: New → Triaged
Martin Pitt (pitti) wrote :

ubuntu-xsplash-artwork has logos as well, adding task.

Changed in xsplash (Ubuntu Karmic):
importance: Undecided → Critical
milestone: none → ubuntu-9.10
status: New → Triaged
Changed in ubuntu-artwork (Ubuntu Karmic):
assignee: nobody → Jane Silber (silbs)
Martin Pitt (pitti) wrote :

Assigning to Jane for now, assuming that she has the final word on this.

Evan (ev) wrote :

This is blocking bug 447383, which adds a slide with the Ubuntu One logo to the installer slideshow.

Martin Pitt (pitti) wrote :

This was resolved now, thanks Jane!

New boilerplate text follows. Note that the GPL clause should only be included if there is code in the package. Don't include for artwork only packages as it is only confusing if there is nothing it applies to.

----------------- 8< --------------------
(c) Canonical Ltd 2004- 2009

This package contains free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3
as published by the Free Software Foundation. The code in this
package is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE. On Ubuntu systems the complete
text of the license can be found in /usr/share/common-licenses. You
may also obtain a copy by writing to the Free Software Foundation,
Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA.

Unless otherwise indicated, artwork is available under the Creative
Commons Attribution Share-alike license v3.0 or any later version. To
view a copy of this license, visit
http://creativecommons.org/licenses/by-sa/3.0/ or send a letter to
Creative Commons, 171 Second Street, Suite 300, San Francisco,
California, 94105, USA. On Ubuntu systems the complete text of the
license can be found in /usr/share/common-licenses.

Some Rights Reserved:

The rights in the trademarks, logos, service marks of Canonical Ltd,
as well as the look and feel of Ubuntu, are subject to the Canonical
Trademark Policy at http://www.ubuntu.com/ubuntu/TrademarkPolicy
----------------- 8< --------------------

Changed in ubuntu-artwork (Ubuntu Karmic):
assignee: Jane Silber (silbs) → Martin Pitt (pitti)
status: Triaged → In Progress
Changed in ubiquity-slideshow-ubuntu (Ubuntu Karmic):
assignee: nobody → Evan Dandrea (evand)
importance: Undecided → Critical
milestone: none → ubuntu-9.10
status: New → Triaged
Changed in usplash-theme-ubuntu (Ubuntu Karmic):
status: Triaged → In Progress
assignee: nobody → Martin Pitt (pitti)
Changed in xsplash (Ubuntu Karmic):
status: Triaged → In Progress
assignee: nobody → Martin Pitt (pitti)
Martin Pitt (pitti) on 2009-10-15
Changed in ubuntu-artwork (Ubuntu Karmic):
status: In Progress → Fix Committed
Changed in usplash-theme-ubuntu (Ubuntu Karmic):
status: In Progress → Fix Committed
Martin Pitt (pitti) on 2009-10-15
Changed in xsplash (Ubuntu Karmic):
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubuntu-artwork - 51

---------------
ubuntu-artwork (51) karmic; urgency=low

  * debian/copyright: Update to new Canonical approved trademark clause, which
    puts back a license (CC-BY-SA) to the artwork. (LP: #451263)

 -- Martin Pitt <email address hidden> Thu, 15 Oct 2009 11:35:15 +0200

Changed in ubuntu-artwork (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package usplash-theme-ubuntu - 0.27

---------------
usplash-theme-ubuntu (0.27) karmic; urgency=low

  * debian/copyright: Update to new Canonical approved trademark clause, which
    puts back a license (CC-BY-SA) to the artwork. (LP: #451263)

 -- Martin Pitt <email address hidden> Thu, 15 Oct 2009 11:37:28 +0200

Changed in usplash-theme-ubuntu (Ubuntu Karmic):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xsplash - 0.8.3-0ubuntu2

---------------
xsplash (0.8.3-0ubuntu2) karmic; urgency=low

  * debian/copyright: Update to new Canonical approved trademark clause, which
    puts back a license (CC-BY-SA) to the artwork. (LP: #451263)

 -- Martin Pitt <email address hidden> Thu, 15 Oct 2009 11:42:46 +0200

Changed in xsplash (Ubuntu Karmic):
status: Fix Committed → Fix Released
Evan (ev) on 2009-10-15
Changed in ubiquity-slideshow-ubuntu (Ubuntu Karmic):
status: Triaged → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ubiquity-slideshow-ubuntu - 9

---------------
ubiquity-slideshow-ubuntu (9) karmic; urgency=low

  [ Evan Dandrea ]
  * The version of Firefox shipped with Ubuntu 9.10 is 3.5, not 3.0
    (LP: #442832).
  * Add an Ubuntu One slide.
  * Freeze exception (LP: #447383).
  * Updated Ubuntu and Ubuntu One logo license (LP: #451263).
  * Updated translations from Launchpad (source package).

  [ Dylan McCall ]
  * Merged middle-tweaks branch. Freeze exception (LP: #445102)
  * New strings for firefox.html, fspot.html, rhythmbox-totem.html,
    evolution.html, empathy.html, openoffice.html, accessibility.html,
    installing-software.html.
  * Changed order of slideshow; multimedia stuff slide appears first,
    accessibility near the end, before Installing Software.
  * Breathe icons have been replaced with icons from the Humanity icon theme:
    accessibility.svg, evolution.svg, fspot.svg, help.svg, openoffice.svg
    (LP: #428169)
  * Breathe icon fspot.svg has been replaced with its counterpart from the
    fspot source package.
  * Removed banshee.svg from source tree and removed mention of nonexistent
    icons from debian/copyright.
  * Updated translation templates for new slides.

  [ Daniel Holbert ]
  * Made images in slideshow non-draggable to work around pywebkitgtk crash
    (LP: #448703).

 -- Evan Dandrea <email address hidden> Thu, 15 Oct 2009 11:50:19 +0100

Changed in ubiquity-slideshow-ubuntu (Ubuntu Karmic):
status: Fix Committed → Fix Released
Loïc Minier (lool) wrote :

The CC licenses are not in /usr/share/common-licenses though!

Loïc Minier [2009-10-20 13:19 -0000]:
> The CC licenses are not in /usr/share/common-licenses though!

Yes, I included them verbatim in debian/copyright (and updated the
text accordingly).

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers